plugins {
    id("jfmod.module")
}

base {
    archivesName.set("libjf-base")
}

dependencies {
    val fabricVersion: String by rootProject.extra
    val commonsVersion: String by rootProject.extra
    val baseCommonsModules: List<String> by rootProject.extra
    include(modImplementation(fabricApi.module("fabric-lifecycle-events-v1", fabricVersion))!!)
    shadow("io.gitlab.jfronny:commons:$commonsVersion")
    baseCommonsModules.forEach { shadow("io.gitlab.jfronny:commons-$it:$commonsVersion") {
        if (it == "logging-slf4j") isTransitive = false
    } }
}
