import io.gitlab.jfronny.scripts.*

plugins {
    id("jfmod.module")
}

base {
    archivesName.set("libjf-config-commands")
}

dependencies {
    val fabricVersion: String by rootProject.extra
    api(devProject(":libjf-base"))
    api(devProject(":libjf-config-core-v2"))
    include(modImplementation(fabricApi.module("fabric-command-api-v2", fabricVersion))!!)
}
