import io.gitlab.jfronny.scripts.*

plugins {
    id("jfmod.module")
}

base {
    archivesName.set("libjf-unsafe-v0")
}

dependencies {
    val commonsVersion: String by rootProject.extra
    api(devProject(":libjf-base"))
    compileOnly("io.gitlab.jfronny:commons-unsafe:$commonsVersion") { isTransitive = false }
    shadow("io.gitlab.jfronny:commons-unsafe:$commonsVersion") { isTransitive = false }
}
