import io.gitlab.jfronny.scripts.*

plugins {
    id("jfmod.module")
}

base {
    archivesName.set("libjf-web-v1")
}

dependencies {
    val fabricVersion: String by rootProject.extra
    api(devProject(":libjf-base"))
    api(devProject(":libjf-config-core-v2"))
    api(devProject(":libjf-mainhttp-v0"))
    include(modImplementation(fabricApi.module("fabric-command-api-v2", fabricVersion))!!)

    annotationProcessor(project(":libjf-config-compiler-plugin-v2"))
}

tasks.compileJava {
    options.compilerArgs.add("-AmodId=" + base.archivesName.get())
}
